/* liblwevent/src/liblwevent/300_fdevent.h
 *
 *  (c)2007, Laurence Withers, <l@lwithers.me.uk>.
 *  Released under the GNU GPLv2. See file COPYING or
 *  http://www.gnu.org/copyleft/gpl.html for details.
*/



int lwevent_get_fd(const struct lwevent* ev);

int lwevent_set_events(struct lwevent* ev, int events, int* old_events);
int lwevent_get_events(const struct lwevent* ev);

void lwevent_set_callback(struct lwevent* ev, lwevent_callback callback,
    lwevent_callback* old_callback);
lwevent_callback lwevent_get_callback(const struct lwevent* ev);

void lwevent_set_user(struct lwevent* ev, void* user);
void* lwevent_get_user(const struct lwevent* ev);

typedef void (*lwevent_dtor)(struct lwevent* ev);
void lwevent_set_dtor(struct lwevent* ev, lwevent_dtor dtor, lwevent_dtor* old_dtor);
lwevent_dtor lwevent_get_dtor(struct lwevent* ev);


/* options for text editors
kate: replace-trailing-space-save true; space-indent true; tab-width 4;
vim: expandtab:ts=4:sw=4:syntax=c.doxygen
*/
